import { PluginMethodResponseDto, PluginMethodSearchDto, PluginResponseDto, PluginSearchDto, PluginTemplateResponseDto } from "../dtos/plugin.dto";
import { PluginService } from "../services/plugin.service";
import { UUIDParamDto } from "../validation";
export declare class PluginController {
    private service;
    constructor(service: PluginService);
    searchPlugins(dto: PluginSearchDto): Promise<PluginResponseDto[]>;
    searchPluginMethods(dto: PluginMethodSearchDto): Promise<PluginMethodResponseDto[]>;
    searchPluginTemplates(): Promise<PluginTemplateResponseDto[]>;
    getPlugin({ id }: UUIDParamDto): Promise<PluginResponseDto>;
}
